/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.definition;

import java.util.HashMap;
import java.util.Map;


public class ClassInfo {

  protected String className;
  protected Map<String, String> parameters;

  protected ClassInfo() { }

  public ClassInfo(String className) {
    super();
    this.className = className;
  }
  public ClassInfo(String className, Map<String, String> parameters) {
    super();
    this.className = className;
    if (parameters != null) {
      this.parameters = new HashMap<String, String>(parameters);
    }
  }

  public String getClassName() {
    return className;
  }
  public Map<String, String> getParameters() {
    return parameters;
  }

  @Override
  public String toString() {
    return "ClassInfo : className = " + className + ", parameters = " + parameters;
  }
}


