/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.definition;

import org.ow2.bonita.facade.def.majorElement.ParticipantDefinition.ParticipantType;
import org.ow2.bonita.facade.uuid.ParticipantDefinitionUUID;


/**
 * is a process role (aka participant/swimlane).
 * @author Marc Blachon, Guillaume Porcher, Charles Souillard, Miguel Valdes, Pierre Vigneras
 */
public class Performer {

  protected ParticipantDefinitionUUID participantUUID;
  protected String participantId;
  protected ParticipantType participantType;
  protected ClassInfo roleMapper;
  protected ClassInfo performerAssign;

  protected Performer() { }

  public Performer(String participantId, ParticipantType participantType, ParticipantDefinitionUUID participantUUID
      , ClassInfo roleMapper, ClassInfo performerAssign) {
    super();
    this.participantUUID = participantUUID;
    this.roleMapper = roleMapper;
    this.performerAssign = performerAssign;
    this.participantId = participantId;
    this.participantType = participantType;
  }

  public String toString() {
    return "Performer " + participantUUID;
  }
  public ClassInfo getRoleMapper() {
    return roleMapper;
  }
  public ClassInfo getPerformerAssign() {
    return performerAssign;
  }
  public ParticipantDefinitionUUID getParticipantUUID() {
    return participantUUID;
  }

  public String getParticipantId() {
    return participantId;
  }

  public ParticipantType getParticipantType() {
    return participantType;
  }

}
