/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.definition.activity;

import java.util.List;
import java.util.Set;

import org.ow2.bonita.definition.JavaHook;
import org.ow2.bonita.definition.MultiInstantiator;
import org.ow2.bonita.definition.MultiInstantiatorDescriptor;
import org.ow2.bonita.definition.PerformerAssign;
import org.ow2.bonita.definition.RoleMapper;
import org.ow2.bonita.facade.runtime.ActivityBody;
import org.ow2.bonita.facade.runtime.ActivityInstance;
import org.ow2.bonita.facade.uuid.ProcessInstanceUUID;
import org.ow2.bonita.runtime.XpdlExecution;

/**
 * @author Guillaume Porcher
 *
 */
public interface HookExecutor {

  void executeHook(final XpdlExecution execution, final String activityId, final JavaHook javaHook);

  MultiInstantiatorDescriptor executeMultiInstantiator(final XpdlExecution execution, final String activityId,
      final MultiInstantiator actInstantiator) throws Exception;

  String executePerformerAssign(final PerformerAssign performerAssign,
      final ActivityInstance<ActivityBody> activityInstance, final Set<String> candidates) throws Exception;

  Set<String> executeRoleMapper(final RoleMapper roleMapper, final ProcessInstanceUUID instanceUUID, final String roleId)
    throws Exception;

  void executeHooks(final List<JavaHook> javaHooks, final XpdlExecution execution, final String activityId,
      final JavaHook.Type type);

}
