/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.runtime;

import org.ow2.bonita.facade.uuid.ProcessDefinitionUUID;
import org.ow2.bonita.util.Misc;


public class ProcessInstanceKey {

  protected ProcessDefinitionUUID processUUID;
  protected long dbid;

  protected ProcessInstanceKey() { }

  public ProcessInstanceKey(ProcessDefinitionUUID processUUID) {
    super();
    Misc.badStateIfNull(processUUID, "Cannot build a new ProcessInstanceKey from null processUUID");

    this.processUUID = processUUID;
  }
  @Override
  public boolean equals(Object obj) {
    if (obj == null) {
      return false;
    }
    if (!(obj instanceof ProcessInstanceKey)) {
      return false;
    }
    ProcessInstanceKey other = (ProcessInstanceKey) obj;

    return other.processUUID.equals(processUUID);
  }

  @Override
  public int hashCode() {
    return this.processUUID.hashCode() + 7;
  }

  public long getNumber() {
    return dbid;
  }

}


